pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__templates2ada.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__templates2ada.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E018 : Short_Integer; pragma Import (Ada, E018, "ada__exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "system__soft_links_E");
   E012 : Short_Integer; pragma Import (Ada, E012, "system__exception_table_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "ada__numerics_E");
   E021 : Short_Integer; pragma Import (Ada, E021, "system__exceptions_E");
   E053 : Short_Integer; pragma Import (Ada, E053, "system__soft_links__initialize_E");
   E063 : Short_Integer; pragma Import (Ada, E063, "ada__containers_E");
   E069 : Short_Integer; pragma Import (Ada, E069, "ada__io_exceptions_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "ada__strings_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "ada__strings__utf_encoding_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "gnat_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "interfaces__c_E");
   E223 : Short_Integer; pragma Import (Ada, E223, "interfaces__c__strings_E");
   E112 : Short_Integer; pragma Import (Ada, E112, "system__os_lib_E");
   E239 : Short_Integer; pragma Import (Ada, E239, "system__task_info_E");
   E081 : Short_Integer; pragma Import (Ada, E081, "ada__tags_E");
   E071 : Short_Integer; pragma Import (Ada, E071, "ada__strings__text_buffers_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "ada__streams_E");
   E151 : Short_Integer; pragma Import (Ada, E151, "system__file_control_block_E");
   E099 : Short_Integer; pragma Import (Ada, E099, "system__finalization_root_E");
   E066 : Short_Integer; pragma Import (Ada, E066, "ada__finalization_E");
   E148 : Short_Integer; pragma Import (Ada, E148, "system__file_io_E");
   E161 : Short_Integer; pragma Import (Ada, E161, "ada__streams__stream_io_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "system__storage_pools_E");
   E153 : Short_Integer; pragma Import (Ada, E153, "system__finalization_masters_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "system__storage_pools__subpools_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "ada__calendar_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "ada__calendar__time_zones_E");
   E165 : Short_Integer; pragma Import (Ada, E165, "ada__text_io_E");
   E196 : Short_Integer; pragma Import (Ada, E196, "gnat__calendar_E");
   E057 : Short_Integer; pragma Import (Ada, E057, "ada__strings__maps_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "ada__strings__maps__constants_E");
   E132 : Short_Integer; pragma Import (Ada, E132, "ada__strings__unbounded_E");
   E212 : Short_Integer; pragma Import (Ada, E212, "system__regpat_E");
   E170 : Short_Integer; pragma Import (Ada, E170, "gnat__directory_operations_E");
   E233 : Short_Integer; pragma Import (Ada, E233, "system__task_primitives__operations_E");
   E206 : Short_Integer; pragma Import (Ada, E206, "gnat__calendar__time_io_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "system__pool_global_E");
   E159 : Short_Integer; pragma Import (Ada, E159, "system__regexp_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "ada__directories_E");
   E168 : Short_Integer; pragma Import (Ada, E168, "gnat__command_line_E");
   E253 : Short_Integer; pragma Import (Ada, E253, "system__tasking__initialization_E");
   E263 : Short_Integer; pragma Import (Ada, E263, "system__tasking__protected_objects_E");
   E265 : Short_Integer; pragma Import (Ada, E265, "system__tasking__protected_objects__entries_E");
   E261 : Short_Integer; pragma Import (Ada, E261, "system__tasking__queuing_E");
   E225 : Short_Integer; pragma Import (Ada, E225, "templates_parser_tasking_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "templates_parser_E");
   E217 : Short_Integer; pragma Import (Ada, E217, "templates_parser__input_E");
   E219 : Short_Integer; pragma Import (Ada, E219, "templates_parser__utils_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "templates_parser__finalize_body");
      begin
         E187 := E187 - 1;
         F1;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "templates_parser__finalize_spec");
      begin
         F2;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "templates_parser_tasking__finalize_body");
      begin
         E225 := E225 - 1;
         F3;
      end;
      E265 := E265 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         F4;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "ada__directories__finalize_body");
      begin
         E106 := E106 - 1;
         F5;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "ada__directories__finalize_spec");
      begin
         F6;
      end;
      E159 := E159 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "system__regexp__finalize_spec");
      begin
         F7;
      end;
      E173 := E173 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "system__pool_global__finalize_spec");
      begin
         F8;
      end;
      E132 := E132 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "ada__strings__unbounded__finalize_spec");
      begin
         F9;
      end;
      E165 := E165 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "ada__text_io__finalize_spec");
      begin
         F10;
      end;
      E177 := E177 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "system__storage_pools__subpools__finalize_spec");
      begin
         F11;
      end;
      E153 := E153 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__finalization_masters__finalize_spec");
      begin
         F12;
      end;
      E161 := E161 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "ada__streams__stream_io__finalize_spec");
      begin
         F13;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "system__file_io__finalize_body");
      begin
         E148 := E148 - 1;
         F14;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (Ada, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, True, True, False, 
           False, True, False, True, False, True, True, False, 
           False, True, True, False, False, True, True, False, 
           True, False, False, False, False, False, False, False, 
           False, False, False, True, True, True, False, False, 
           True, False, True, True, True, False, True, True, 
           False, True, True, True, True, False, False, False, 
           True, False, False, False, False, True, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      ada_main'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      Ada.Exceptions'Elab_Spec;
      System.Soft_Links'Elab_Spec;
      System.Exception_Table'Elab_Body;
      E012 := E012 + 1;
      Ada.Numerics'Elab_Spec;
      E027 := E027 + 1;
      System.Exceptions'Elab_Spec;
      E021 := E021 + 1;
      System.Soft_Links.Initialize'Elab_Body;
      E053 := E053 + 1;
      E014 := E014 + 1;
      E018 := E018 + 1;
      Ada.Containers'Elab_Spec;
      E063 := E063 + 1;
      Ada.Io_Exceptions'Elab_Spec;
      E069 := E069 + 1;
      Ada.Strings'Elab_Spec;
      E009 := E009 + 1;
      Ada.Strings.Utf_Encoding'Elab_Spec;
      E073 := E073 + 1;
      Gnat'Elab_Spec;
      E166 := E166 + 1;
      Interfaces.C'Elab_Spec;
      E110 := E110 + 1;
      Interfaces.C.Strings'Elab_Spec;
      E223 := E223 + 1;
      System.Os_Lib'Elab_Body;
      E112 := E112 + 1;
      System.Task_Info'Elab_Spec;
      E239 := E239 + 1;
      Ada.Tags'Elab_Spec;
      Ada.Tags'Elab_Body;
      E081 := E081 + 1;
      Ada.Strings.Text_Buffers'Elab_Spec;
      E071 := E071 + 1;
      Ada.Streams'Elab_Spec;
      E068 := E068 + 1;
      System.File_Control_Block'Elab_Spec;
      E151 := E151 + 1;
      System.Finalization_Root'Elab_Spec;
      E099 := E099 + 1;
      Ada.Finalization'Elab_Spec;
      E066 := E066 + 1;
      System.File_Io'Elab_Body;
      E148 := E148 + 1;
      Ada.Streams.Stream_Io'Elab_Spec;
      E161 := E161 + 1;
      System.Storage_Pools'Elab_Spec;
      E157 := E157 + 1;
      System.Finalization_Masters'Elab_Spec;
      System.Finalization_Masters'Elab_Body;
      E153 := E153 + 1;
      System.Storage_Pools.Subpools'Elab_Spec;
      E177 := E177 + 1;
      Ada.Calendar'Elab_Spec;
      Ada.Calendar'Elab_Body;
      E108 := E108 + 1;
      Ada.Calendar.Time_Zones'Elab_Spec;
      E201 := E201 + 1;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E165 := E165 + 1;
      Gnat.Calendar'Elab_Spec;
      E196 := E196 + 1;
      Ada.Strings.Maps'Elab_Spec;
      E057 := E057 + 1;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E060 := E060 + 1;
      Ada.Strings.Unbounded'Elab_Spec;
      E132 := E132 + 1;
      System.Regpat'Elab_Spec;
      E212 := E212 + 1;
      Gnat.Directory_Operations'Elab_Spec;
      Gnat.Directory_Operations'Elab_Body;
      E170 := E170 + 1;
      System.Task_Primitives.Operations'Elab_Body;
      E233 := E233 + 1;
      Gnat.Calendar.Time_Io'Elab_Spec;
      E206 := E206 + 1;
      System.Pool_Global'Elab_Spec;
      E173 := E173 + 1;
      System.Regexp'Elab_Spec;
      E159 := E159 + 1;
      Ada.Directories'Elab_Spec;
      Ada.Directories'Elab_Body;
      E106 := E106 + 1;
      Gnat.Command_Line'Elab_Spec;
      Gnat.Command_Line'Elab_Body;
      E168 := E168 + 1;
      System.Tasking.Initialization'Elab_Body;
      E253 := E253 + 1;
      System.Tasking.Protected_Objects'Elab_Body;
      E263 := E263 + 1;
      System.Tasking.Protected_Objects.Entries'Elab_Spec;
      E265 := E265 + 1;
      System.Tasking.Queuing'Elab_Body;
      E261 := E261 + 1;
      Templates_Parser_Tasking'Elab_Body;
      E225 := E225 + 1;
      Templates_Parser'Elab_Spec;
      Templates_Parser.Input'Elab_Spec;
      E217 := E217 + 1;
      Templates_Parser.Utils'Elab_Spec;
      E219 := E219 + 1;
      Templates_Parser'Elab_Body;
      E187 := E187 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_templates2ada");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      if gnat_argc = 0 then
         gnat_argc := argc;
         gnat_argv := argv;
      end if;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/templates_parser-11.8.0/.build/s390x-redhat-linux/release/relocatable/tobj/templates2ada.o
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/s390x-redhat-linux/release/relocatable/tobj/
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/s390x-redhat-linux/release/relocatable/tobj/
   --   -L/builddir/build/BUILD/templates_parser-11.8.0/.build/s390x-redhat-linux/release/relocatable/lib/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib/gcc/s390x-redhat-linux/14/adalib/
   --   -shared
   --   -lgnarl-14
   --   -lgnat-14
   --   -lrt
   --   -lpthread
--  END Object file/option list   

end ada_main;
