pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 14.0.1 20240208 (Red Hat 14.0.1-0)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_templatespp" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#0e043083#;
   pragma Export (C, u00001, "templatesppB");
   u00002 : constant Version_32 := 16#30305195#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#eb789e79#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#13245dc2#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#f97639e0#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#524f7d04#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#57bd68ec#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#7703497c#;
   pragma Export (C, u00010, "ada__exceptionsB");
   u00011 : constant Version_32 := 16#89876bf3#;
   pragma Export (C, u00011, "ada__exceptionsS");
   u00012 : constant Version_32 := 16#0740df23#;
   pragma Export (C, u00012, "ada__exceptions__last_chance_handlerB");
   u00013 : constant Version_32 := 16#a028f72d#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerS");
   u00014 : constant Version_32 := 16#fd5f5f4c#;
   pragma Export (C, u00014, "system__soft_linksB");
   u00015 : constant Version_32 := 16#a802761d#;
   pragma Export (C, u00015, "system__soft_linksS");
   u00016 : constant Version_32 := 16#0286ce9f#;
   pragma Export (C, u00016, "system__soft_links__initializeB");
   u00017 : constant Version_32 := 16#2ed17187#;
   pragma Export (C, u00017, "system__soft_links__initializeS");
   u00018 : constant Version_32 := 16#a43efea2#;
   pragma Export (C, u00018, "system__parametersB");
   u00019 : constant Version_32 := 16#cce1c5f1#;
   pragma Export (C, u00019, "system__parametersS");
   u00020 : constant Version_32 := 16#8599b27b#;
   pragma Export (C, u00020, "system__stack_checkingB");
   u00021 : constant Version_32 := 16#3e292cf6#;
   pragma Export (C, u00021, "system__stack_checkingS");
   u00022 : constant Version_32 := 16#35a8ed08#;
   pragma Export (C, u00022, "system__storage_elementsS");
   u00023 : constant Version_32 := 16#c71e6c8a#;
   pragma Export (C, u00023, "system__exception_tableB");
   u00024 : constant Version_32 := 16#745d4ff9#;
   pragma Export (C, u00024, "system__exception_tableS");
   u00025 : constant Version_32 := 16#cbd386d2#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00026, "system__exceptions__machineB");
   u00027 : constant Version_32 := 16#46355a4a#;
   pragma Export (C, u00027, "system__exceptions__machineS");
   u00028 : constant Version_32 := 16#7706238d#;
   pragma Export (C, u00028, "system__exceptions_debugB");
   u00029 : constant Version_32 := 16#c97861b3#;
   pragma Export (C, u00029, "system__exceptions_debugS");
   u00030 : constant Version_32 := 16#dbe97aa1#;
   pragma Export (C, u00030, "system__img_intS");
   u00031 : constant Version_32 := 16#f2c63a02#;
   pragma Export (C, u00031, "ada__numericsS");
   u00032 : constant Version_32 := 16#174f5472#;
   pragma Export (C, u00032, "ada__numerics__big_numbersS");
   u00033 : constant Version_32 := 16#035c46b9#;
   pragma Export (C, u00033, "system__unsigned_typesS");
   u00034 : constant Version_32 := 16#5c7d9c20#;
   pragma Export (C, u00034, "system__tracebackB");
   u00035 : constant Version_32 := 16#7feccd5d#;
   pragma Export (C, u00035, "system__tracebackS");
   u00036 : constant Version_32 := 16#5f6b6486#;
   pragma Export (C, u00036, "system__traceback_entriesB");
   u00037 : constant Version_32 := 16#316a866c#;
   pragma Export (C, u00037, "system__traceback_entriesS");
   u00038 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00038, "system__traceback__symbolicB");
   u00039 : constant Version_32 := 16#140ceb78#;
   pragma Export (C, u00039, "system__traceback__symbolicS");
   u00040 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00040, "ada__exceptions__tracebackB");
   u00041 : constant Version_32 := 16#26ed0985#;
   pragma Export (C, u00041, "ada__exceptions__tracebackS");
   u00042 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00042, "system__address_imageB");
   u00043 : constant Version_32 := 16#589aa4da#;
   pragma Export (C, u00043, "system__address_imageS");
   u00044 : constant Version_32 := 16#fd158a37#;
   pragma Export (C, u00044, "system__wch_conB");
   u00045 : constant Version_32 := 16#20751a83#;
   pragma Export (C, u00045, "system__wch_conS");
   u00046 : constant Version_32 := 16#5c289972#;
   pragma Export (C, u00046, "system__wch_stwB");
   u00047 : constant Version_32 := 16#0d643682#;
   pragma Export (C, u00047, "system__wch_stwS");
   u00048 : constant Version_32 := 16#7cd63de5#;
   pragma Export (C, u00048, "system__wch_cnvB");
   u00049 : constant Version_32 := 16#26b5d0f3#;
   pragma Export (C, u00049, "system__wch_cnvS");
   u00050 : constant Version_32 := 16#9111f9c1#;
   pragma Export (C, u00050, "interfacesS");
   u00051 : constant Version_32 := 16#e538de43#;
   pragma Export (C, u00051, "system__wch_jisB");
   u00052 : constant Version_32 := 16#9302b2d9#;
   pragma Export (C, u00052, "system__wch_jisS");
   u00053 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00053, "ada__stringsS");
   u00054 : constant Version_32 := 16#a201b8c5#;
   pragma Export (C, u00054, "ada__strings__text_buffersB");
   u00055 : constant Version_32 := 16#a7cfd09b#;
   pragma Export (C, u00055, "ada__strings__text_buffersS");
   u00056 : constant Version_32 := 16#8b7604c4#;
   pragma Export (C, u00056, "ada__strings__utf_encodingB");
   u00057 : constant Version_32 := 16#c9e86997#;
   pragma Export (C, u00057, "ada__strings__utf_encodingS");
   u00058 : constant Version_32 := 16#bb780f45#;
   pragma Export (C, u00058, "ada__strings__utf_encoding__stringsB");
   u00059 : constant Version_32 := 16#b85ff4b6#;
   pragma Export (C, u00059, "ada__strings__utf_encoding__stringsS");
   u00060 : constant Version_32 := 16#d1d1ed0b#;
   pragma Export (C, u00060, "ada__strings__utf_encoding__wide_stringsB");
   u00061 : constant Version_32 := 16#5678478f#;
   pragma Export (C, u00061, "ada__strings__utf_encoding__wide_stringsS");
   u00062 : constant Version_32 := 16#c2b98963#;
   pragma Export (C, u00062, "ada__strings__utf_encoding__wide_wide_stringsB");
   u00063 : constant Version_32 := 16#d7af3358#;
   pragma Export (C, u00063, "ada__strings__utf_encoding__wide_wide_stringsS");
   u00064 : constant Version_32 := 16#0d5e09a4#;
   pragma Export (C, u00064, "ada__tagsB");
   u00065 : constant Version_32 := 16#2a9756e0#;
   pragma Export (C, u00065, "ada__tagsS");
   u00066 : constant Version_32 := 16#3548d972#;
   pragma Export (C, u00066, "system__htableB");
   u00067 : constant Version_32 := 16#78af610b#;
   pragma Export (C, u00067, "system__htableS");
   u00068 : constant Version_32 := 16#1f1abe38#;
   pragma Export (C, u00068, "system__string_hashB");
   u00069 : constant Version_32 := 16#dfeae174#;
   pragma Export (C, u00069, "system__string_hashS");
   u00070 : constant Version_32 := 16#6ed0b8ef#;
   pragma Export (C, u00070, "system__val_lluS");
   u00071 : constant Version_32 := 16#aa87fa7d#;
   pragma Export (C, u00071, "system__sparkS");
   u00072 : constant Version_32 := 16#a571a4dc#;
   pragma Export (C, u00072, "system__spark__cut_operationsB");
   u00073 : constant Version_32 := 16#629c0fb7#;
   pragma Export (C, u00073, "system__spark__cut_operationsS");
   u00074 : constant Version_32 := 16#1bac5121#;
   pragma Export (C, u00074, "system__val_utilB");
   u00075 : constant Version_32 := 16#550f9dfb#;
   pragma Export (C, u00075, "system__val_utilS");
   u00076 : constant Version_32 := 16#b98923bf#;
   pragma Export (C, u00076, "system__case_utilB");
   u00077 : constant Version_32 := 16#3665eeb5#;
   pragma Export (C, u00077, "system__case_utilS");
   u00078 : constant Version_32 := 16#8c28ef8b#;
   pragma Export (C, u00078, "ada__strings__unboundedB");
   u00079 : constant Version_32 := 16#12d68fdb#;
   pragma Export (C, u00079, "ada__strings__unboundedS");
   u00080 : constant Version_32 := 16#603adc29#;
   pragma Export (C, u00080, "ada__strings__fixedB");
   u00081 : constant Version_32 := 16#b4492da2#;
   pragma Export (C, u00081, "ada__strings__fixedS");
   u00082 : constant Version_32 := 16#c5e1e773#;
   pragma Export (C, u00082, "ada__strings__mapsB");
   u00083 : constant Version_32 := 16#6feaa257#;
   pragma Export (C, u00083, "ada__strings__mapsS");
   u00084 : constant Version_32 := 16#b451a498#;
   pragma Export (C, u00084, "system__bit_opsB");
   u00085 : constant Version_32 := 16#348595dc#;
   pragma Export (C, u00085, "system__bit_opsS");
   u00086 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00086, "ada__charactersS");
   u00087 : constant Version_32 := 16#cde9ea2d#;
   pragma Export (C, u00087, "ada__characters__latin_1S");
   u00088 : constant Version_32 := 16#1606c0b9#;
   pragma Export (C, u00088, "ada__strings__searchB");
   u00089 : constant Version_32 := 16#a44727a7#;
   pragma Export (C, u00089, "ada__strings__searchS");
   u00090 : constant Version_32 := 16#ec48c658#;
   pragma Export (C, u00090, "system__compare_array_unsigned_8B");
   u00091 : constant Version_32 := 16#6990a783#;
   pragma Export (C, u00091, "system__compare_array_unsigned_8S");
   u00092 : constant Version_32 := 16#74e358eb#;
   pragma Export (C, u00092, "system__address_operationsB");
   u00093 : constant Version_32 := 16#87421540#;
   pragma Export (C, u00093, "system__address_operationsS");
   u00094 : constant Version_32 := 16#05222263#;
   pragma Export (C, u00094, "system__put_imagesB");
   u00095 : constant Version_32 := 16#e5d83eff#;
   pragma Export (C, u00095, "system__put_imagesS");
   u00096 : constant Version_32 := 16#22b9eb9f#;
   pragma Export (C, u00096, "ada__strings__text_buffers__utilsB");
   u00097 : constant Version_32 := 16#89062ac3#;
   pragma Export (C, u00097, "ada__strings__text_buffers__utilsS");
   u00098 : constant Version_32 := 16#3ac3ebc3#;
   pragma Export (C, u00098, "system__return_stackS");
   u00099 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00099, "ada__finalizationS");
   u00100 : constant Version_32 := 16#b4f41810#;
   pragma Export (C, u00100, "ada__streamsB");
   u00101 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00101, "ada__streamsS");
   u00102 : constant Version_32 := 16#367911c4#;
   pragma Export (C, u00102, "ada__io_exceptionsS");
   u00103 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00103, "system__finalization_rootB");
   u00104 : constant Version_32 := 16#b6844a70#;
   pragma Export (C, u00104, "system__finalization_rootS");
   u00105 : constant Version_32 := 16#8356fb7a#;
   pragma Export (C, u00105, "system__stream_attributesB");
   u00106 : constant Version_32 := 16#b341d90d#;
   pragma Export (C, u00106, "system__stream_attributesS");
   u00107 : constant Version_32 := 16#4ea7f13e#;
   pragma Export (C, u00107, "system__stream_attributes__xdrB");
   u00108 : constant Version_32 := 16#14c199f1#;
   pragma Export (C, u00108, "system__stream_attributes__xdrS");
   u00109 : constant Version_32 := 16#3a44e68c#;
   pragma Export (C, u00109, "system__fat_fltS");
   u00110 : constant Version_32 := 16#1c76ef81#;
   pragma Export (C, u00110, "system__fat_lfltS");
   u00111 : constant Version_32 := 16#66a6416b#;
   pragma Export (C, u00111, "system__fat_llfS");
   u00112 : constant Version_32 := 16#2170d2a2#;
   pragma Export (C, u00112, "ada__text_ioB");
   u00113 : constant Version_32 := 16#ef29a2fe#;
   pragma Export (C, u00113, "ada__text_ioS");
   u00114 : constant Version_32 := 16#1cacf006#;
   pragma Export (C, u00114, "interfaces__c_streamsB");
   u00115 : constant Version_32 := 16#d07279c2#;
   pragma Export (C, u00115, "interfaces__c_streamsS");
   u00116 : constant Version_32 := 16#72525e6f#;
   pragma Export (C, u00116, "system__crtlS");
   u00117 : constant Version_32 := 16#f74fab1c#;
   pragma Export (C, u00117, "system__file_ioB");
   u00118 : constant Version_32 := 16#9f396ca6#;
   pragma Export (C, u00118, "system__file_ioS");
   u00119 : constant Version_32 := 16#29c68ba2#;
   pragma Export (C, u00119, "system__os_libB");
   u00120 : constant Version_32 := 16#031ae9bf#;
   pragma Export (C, u00120, "system__os_libS");
   u00121 : constant Version_32 := 16#94d23d25#;
   pragma Export (C, u00121, "system__atomic_operations__test_and_setB");
   u00122 : constant Version_32 := 16#57acee8e#;
   pragma Export (C, u00122, "system__atomic_operations__test_and_setS");
   u00123 : constant Version_32 := 16#3e1543c5#;
   pragma Export (C, u00123, "system__atomic_operationsS");
   u00124 : constant Version_32 := 16#553a519e#;
   pragma Export (C, u00124, "system__atomic_primitivesB");
   u00125 : constant Version_32 := 16#b22932a7#;
   pragma Export (C, u00125, "system__atomic_primitivesS");
   u00126 : constant Version_32 := 16#0390ef72#;
   pragma Export (C, u00126, "interfaces__cB");
   u00127 : constant Version_32 := 16#f7332afe#;
   pragma Export (C, u00127, "interfaces__cS");
   u00128 : constant Version_32 := 16#256dbbe5#;
   pragma Export (C, u00128, "system__stringsB");
   u00129 : constant Version_32 := 16#62f439f8#;
   pragma Export (C, u00129, "system__stringsS");
   u00130 : constant Version_32 := 16#75df5784#;
   pragma Export (C, u00130, "system__file_control_blockS");
   u00131 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00131, "gnatS");
   u00132 : constant Version_32 := 16#9077aa86#;
   pragma Export (C, u00132, "gnat__command_lineB");
   u00133 : constant Version_32 := 16#556a5ffb#;
   pragma Export (C, u00133, "gnat__command_lineS");
   u00134 : constant Version_32 := 16#9de61c25#;
   pragma Export (C, u00134, "ada__characters__handlingB");
   u00135 : constant Version_32 := 16#729cc5db#;
   pragma Export (C, u00135, "ada__characters__handlingS");
   u00136 : constant Version_32 := 16#b459efcb#;
   pragma Export (C, u00136, "ada__strings__maps__constantsS");
   u00137 : constant Version_32 := 16#28b92085#;
   pragma Export (C, u00137, "gnat__directory_operationsB");
   u00138 : constant Version_32 := 16#c7731a49#;
   pragma Export (C, u00138, "gnat__directory_operationsS");
   u00139 : constant Version_32 := 16#1a69b526#;
   pragma Export (C, u00139, "gnat__os_libS");
   u00140 : constant Version_32 := 16#b9e0ae25#;
   pragma Export (C, u00140, "system__finalization_mastersB");
   u00141 : constant Version_32 := 16#4b853a7e#;
   pragma Export (C, u00141, "system__finalization_mastersS");
   u00142 : constant Version_32 := 16#20ec7aa3#;
   pragma Export (C, u00142, "system__ioB");
   u00143 : constant Version_32 := 16#6734ceaf#;
   pragma Export (C, u00143, "system__ioS");
   u00144 : constant Version_32 := 16#35d6ef80#;
   pragma Export (C, u00144, "system__storage_poolsB");
   u00145 : constant Version_32 := 16#631d40bb#;
   pragma Export (C, u00145, "system__storage_poolsS");
   u00146 : constant Version_32 := 16#3f686d0f#;
   pragma Export (C, u00146, "system__pool_globalB");
   u00147 : constant Version_32 := 16#4d224df1#;
   pragma Export (C, u00147, "system__pool_globalS");
   u00148 : constant Version_32 := 16#8f2423cb#;
   pragma Export (C, u00148, "system__memoryB");
   u00149 : constant Version_32 := 16#e1e2a5fa#;
   pragma Export (C, u00149, "system__memoryS");
   u00150 : constant Version_32 := 16#8b0ace09#;
   pragma Export (C, u00150, "system__storage_pools__subpoolsB");
   u00151 : constant Version_32 := 16#50a294f1#;
   pragma Export (C, u00151, "system__storage_pools__subpoolsS");
   u00152 : constant Version_32 := 16#252fe4d9#;
   pragma Export (C, u00152, "system__storage_pools__subpools__finalizationB");
   u00153 : constant Version_32 := 16#562129f7#;
   pragma Export (C, u00153, "system__storage_pools__subpools__finalizationS");
   u00154 : constant Version_32 := 16#475f324d#;
   pragma Export (C, u00154, "system__val_intS");
   u00155 : constant Version_32 := 16#b0f8b925#;
   pragma Export (C, u00155, "system__val_unsS");
   u00156 : constant Version_32 := 16#40fe4806#;
   pragma Export (C, u00156, "gnat__regexpS");
   u00157 : constant Version_32 := 16#8f8e85c2#;
   pragma Export (C, u00157, "system__regexpB");
   u00158 : constant Version_32 := 16#da449e2c#;
   pragma Export (C, u00158, "system__regexpS");
   u00159 : constant Version_32 := 16#2b19e51a#;
   pragma Export (C, u00159, "gnat__stringsS");
   u00160 : constant Version_32 := 16#1bc43be0#;
   pragma Export (C, u00160, "templates_parserB");
   u00161 : constant Version_32 := 16#78b766a4#;
   pragma Export (C, u00161, "templates_parserS");
   u00162 : constant Version_32 := 16#21b023a2#;
   pragma Export (C, u00162, "ada__calendarB");
   u00163 : constant Version_32 := 16#63f2c9c2#;
   pragma Export (C, u00163, "ada__calendarS");
   u00164 : constant Version_32 := 16#d172d809#;
   pragma Export (C, u00164, "system__os_primitivesB");
   u00165 : constant Version_32 := 16#fe8b5c16#;
   pragma Export (C, u00165, "system__os_primitivesS");
   u00166 : constant Version_32 := 16#179d7d28#;
   pragma Export (C, u00166, "ada__containersS");
   u00167 : constant Version_32 := 16#e3ec85fd#;
   pragma Export (C, u00167, "ada__containers__hash_tablesS");
   u00168 : constant Version_32 := 16#c3b32edd#;
   pragma Export (C, u00168, "ada__containers__helpersB");
   u00169 : constant Version_32 := 16#444c93c2#;
   pragma Export (C, u00169, "ada__containers__helpersS");
   u00170 : constant Version_32 := 16#ea191d9a#;
   pragma Export (C, u00170, "system__atomic_countersB");
   u00171 : constant Version_32 := 16#256ed623#;
   pragma Export (C, u00171, "system__atomic_countersS");
   u00172 : constant Version_32 := 16#eab0e571#;
   pragma Export (C, u00172, "ada__containers__prime_numbersB");
   u00173 : constant Version_32 := 16#45c4b2d1#;
   pragma Export (C, u00173, "ada__containers__prime_numbersS");
   u00174 : constant Version_32 := 16#52aa515b#;
   pragma Export (C, u00174, "ada__strings__hashB");
   u00175 : constant Version_32 := 16#1121e1f9#;
   pragma Export (C, u00175, "ada__strings__hashS");
   u00176 : constant Version_32 := 16#479d4a3f#;
   pragma Export (C, u00176, "ada__strings__hash_case_insensitiveB");
   u00177 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00177, "ada__strings__hash_case_insensitiveS");
   u00178 : constant Version_32 := 16#aed03438#;
   pragma Export (C, u00178, "gnat__calendarB");
   u00179 : constant Version_32 := 16#dac4f29f#;
   pragma Export (C, u00179, "gnat__calendarS");
   u00180 : constant Version_32 := 16#eda8cfb6#;
   pragma Export (C, u00180, "interfaces__c__extensionsS");
   u00181 : constant Version_32 := 16#c1ef1512#;
   pragma Export (C, u00181, "ada__calendar__formattingB");
   u00182 : constant Version_32 := 16#f06834e4#;
   pragma Export (C, u00182, "ada__calendar__formattingS");
   u00183 : constant Version_32 := 16#974d849e#;
   pragma Export (C, u00183, "ada__calendar__time_zonesB");
   u00184 : constant Version_32 := 16#ff2f3335#;
   pragma Export (C, u00184, "ada__calendar__time_zonesS");
   u00185 : constant Version_32 := 16#9305a74d#;
   pragma Export (C, u00185, "system__val_fixed_64S");
   u00186 : constant Version_32 := 16#0943a5da#;
   pragma Export (C, u00186, "system__arith_64B");
   u00187 : constant Version_32 := 16#c9d006b5#;
   pragma Export (C, u00187, "system__arith_64S");
   u00188 : constant Version_32 := 16#c87e9f46#;
   pragma Export (C, u00188, "gnat__calendar__time_ioB");
   u00189 : constant Version_32 := 16#4f726d8e#;
   pragma Export (C, u00189, "gnat__calendar__time_ioS");
   u00190 : constant Version_32 := 16#f94e6456#;
   pragma Export (C, u00190, "gnat__case_utilS");
   u00191 : constant Version_32 := 16#b3b0ecda#;
   pragma Export (C, u00191, "system__img_lliS");
   u00192 : constant Version_32 := 16#696625f4#;
   pragma Export (C, u00192, "system__img_lluS");
   u00193 : constant Version_32 := 16#3254c51b#;
   pragma Export (C, u00193, "gnat__regpatS");
   u00194 : constant Version_32 := 16#b2df5ff8#;
   pragma Export (C, u00194, "system__regpatB");
   u00195 : constant Version_32 := 16#c6e7f833#;
   pragma Export (C, u00195, "system__regpatS");
   u00196 : constant Version_32 := 16#7c5a5793#;
   pragma Export (C, u00196, "system__img_charB");
   u00197 : constant Version_32 := 16#65426107#;
   pragma Export (C, u00197, "system__img_charS");
   u00198 : constant Version_32 := 16#45cbb099#;
   pragma Export (C, u00198, "system__strings__stream_opsB");
   u00199 : constant Version_32 := 16#40062c5a#;
   pragma Export (C, u00199, "system__strings__stream_opsS");
   u00200 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00200, "templates_parser__configurationS");
   u00201 : constant Version_32 := 16#05ee0ca8#;
   pragma Export (C, u00201, "templates_parser__inputB");
   u00202 : constant Version_32 := 16#ac420fa0#;
   pragma Export (C, u00202, "templates_parser__inputS");
   u00203 : constant Version_32 := 16#4df30916#;
   pragma Export (C, u00203, "ada__streams__stream_ioB");
   u00204 : constant Version_32 := 16#5b183aea#;
   pragma Export (C, u00204, "ada__streams__stream_ioS");
   u00205 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00205, "system__communicationB");
   u00206 : constant Version_32 := 16#501e2cdd#;
   pragma Export (C, u00206, "system__communicationS");
   u00207 : constant Version_32 := 16#a115beaa#;
   pragma Export (C, u00207, "templates_parser__utilsB");
   u00208 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00208, "templates_parser__utilsS");
   u00209 : constant Version_32 := 16#18b482c6#;
   pragma Export (C, u00209, "ada__directoriesB");
   u00210 : constant Version_32 := 16#09cba65e#;
   pragma Export (C, u00210, "ada__directoriesS");
   u00211 : constant Version_32 := 16#66f41729#;
   pragma Export (C, u00211, "ada__directories__hierarchical_file_namesB");
   u00212 : constant Version_32 := 16#34d5eeb2#;
   pragma Export (C, u00212, "ada__directories__hierarchical_file_namesS");
   u00213 : constant Version_32 := 16#ab4ad33a#;
   pragma Export (C, u00213, "ada__directories__validityB");
   u00214 : constant Version_32 := 16#0877bcae#;
   pragma Export (C, u00214, "ada__directories__validityS");
   u00215 : constant Version_32 := 16#85122c1f#;
   pragma Export (C, u00215, "system__file_attributesS");
   u00216 : constant Version_32 := 16#9781caa2#;
   pragma Export (C, u00216, "system__os_constantsS");
   u00217 : constant Version_32 := 16#8d235f7e#;
   pragma Export (C, u00217, "ada__environment_variablesB");
   u00218 : constant Version_32 := 16#767099b7#;
   pragma Export (C, u00218, "ada__environment_variablesS");
   u00219 : constant Version_32 := 16#b59c4853#;
   pragma Export (C, u00219, "interfaces__c__stringsB");
   u00220 : constant Version_32 := 16#fecad76a#;
   pragma Export (C, u00220, "interfaces__c__stringsS");
   u00221 : constant Version_32 := 16#eef192d2#;
   pragma Export (C, u00221, "templates_parser_taskingB");
   u00222 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00222, "templates_parser_taskingS");
   u00223 : constant Version_32 := 16#ada712af#;
   pragma Export (C, u00223, "ada__task_identificationB");
   u00224 : constant Version_32 := 16#a46d8127#;
   pragma Export (C, u00224, "ada__task_identificationS");
   u00225 : constant Version_32 := 16#7b8f56bc#;
   pragma Export (C, u00225, "system__task_primitivesS");
   u00226 : constant Version_32 := 16#72136539#;
   pragma Export (C, u00226, "system__os_interfaceB");
   u00227 : constant Version_32 := 16#496ad001#;
   pragma Export (C, u00227, "system__os_interfaceS");
   u00228 : constant Version_32 := 16#52a7d9b3#;
   pragma Export (C, u00228, "system__linuxS");
   u00229 : constant Version_32 := 16#14d1f101#;
   pragma Export (C, u00229, "system__task_primitives__operationsB");
   u00230 : constant Version_32 := 16#3245c0e1#;
   pragma Export (C, u00230, "system__task_primitives__operationsS");
   u00231 : constant Version_32 := 16#b67a7df5#;
   pragma Export (C, u00231, "system__interrupt_managementB");
   u00232 : constant Version_32 := 16#1d5eaeda#;
   pragma Export (C, u00232, "system__interrupt_managementS");
   u00233 : constant Version_32 := 16#3053a91b#;
   pragma Export (C, u00233, "system__multiprocessorsB");
   u00234 : constant Version_32 := 16#c1daa693#;
   pragma Export (C, u00234, "system__multiprocessorsS");
   u00235 : constant Version_32 := 16#4ee862d1#;
   pragma Export (C, u00235, "system__task_infoB");
   u00236 : constant Version_32 := 16#4f0ed0d4#;
   pragma Export (C, u00236, "system__task_infoS");
   u00237 : constant Version_32 := 16#d0926081#;
   pragma Export (C, u00237, "system__taskingB");
   u00238 : constant Version_32 := 16#46944b5e#;
   pragma Export (C, u00238, "system__taskingS");
   u00239 : constant Version_32 := 16#3066cab0#;
   pragma Export (C, u00239, "system__stack_usageB");
   u00240 : constant Version_32 := 16#a736a1f1#;
   pragma Export (C, u00240, "system__stack_usageS");
   u00241 : constant Version_32 := 16#26903863#;
   pragma Export (C, u00241, "system__tasking__debugB");
   u00242 : constant Version_32 := 16#aeb4df49#;
   pragma Export (C, u00242, "system__tasking__debugS");
   u00243 : constant Version_32 := 16#ca878138#;
   pragma Export (C, u00243, "system__concat_2B");
   u00244 : constant Version_32 := 16#4c8d4a17#;
   pragma Export (C, u00244, "system__concat_2S");
   u00245 : constant Version_32 := 16#752a67ed#;
   pragma Export (C, u00245, "system__concat_3B");
   u00246 : constant Version_32 := 16#730c2042#;
   pragma Export (C, u00246, "system__concat_3S");
   u00247 : constant Version_32 := 16#0044c253#;
   pragma Export (C, u00247, "system__tasking__utilitiesB");
   u00248 : constant Version_32 := 16#cf736fea#;
   pragma Export (C, u00248, "system__tasking__utilitiesS");
   u00249 : constant Version_32 := 16#38d08d31#;
   pragma Export (C, u00249, "system__tasking__initializationB");
   u00250 : constant Version_32 := 16#ae31fcba#;
   pragma Export (C, u00250, "system__tasking__initializationS");
   u00251 : constant Version_32 := 16#4dea734d#;
   pragma Export (C, u00251, "system__soft_links__taskingB");
   u00252 : constant Version_32 := 16#917fc4d2#;
   pragma Export (C, u00252, "system__soft_links__taskingS");
   u00253 : constant Version_32 := 16#3880736e#;
   pragma Export (C, u00253, "ada__exceptions__is_null_occurrenceB");
   u00254 : constant Version_32 := 16#2f594863#;
   pragma Export (C, u00254, "ada__exceptions__is_null_occurrenceS");
   u00255 : constant Version_32 := 16#3909463c#;
   pragma Export (C, u00255, "system__tasking__task_attributesB");
   u00256 : constant Version_32 := 16#13eccb70#;
   pragma Export (C, u00256, "system__tasking__task_attributesS");
   u00257 : constant Version_32 := 16#91c1d62b#;
   pragma Export (C, u00257, "system__tasking__queuingB");
   u00258 : constant Version_32 := 16#10de7412#;
   pragma Export (C, u00258, "system__tasking__queuingS");
   u00259 : constant Version_32 := 16#22d1a9c4#;
   pragma Export (C, u00259, "system__tasking__protected_objectsB");
   u00260 : constant Version_32 := 16#4712e4f3#;
   pragma Export (C, u00260, "system__tasking__protected_objectsS");
   u00261 : constant Version_32 := 16#472ea76a#;
   pragma Export (C, u00261, "system__tasking__protected_objects__entriesB");
   u00262 : constant Version_32 := 16#7daf93e7#;
   pragma Export (C, u00262, "system__tasking__protected_objects__entriesS");
   u00263 : constant Version_32 := 16#49c205ec#;
   pragma Export (C, u00263, "system__restrictionsB");
   u00264 : constant Version_32 := 16#54156b71#;
   pragma Export (C, u00264, "system__restrictionsS");
   u00265 : constant Version_32 := 16#95ec39a0#;
   pragma Export (C, u00265, "system__tasking__protected_objects__operationsB");
   u00266 : constant Version_32 := 16#74b8b389#;
   pragma Export (C, u00266, "system__tasking__protected_objects__operationsS");
   u00267 : constant Version_32 := 16#c1f64448#;
   pragma Export (C, u00267, "system__tasking__entry_callsB");
   u00268 : constant Version_32 := 16#3150fd12#;
   pragma Export (C, u00268, "system__tasking__entry_callsS");
   u00269 : constant Version_32 := 16#4857f38e#;
   pragma Export (C, u00269, "system__tasking__rendezvousB");
   u00270 : constant Version_32 := 16#ca844580#;
   pragma Export (C, u00270, "system__tasking__rendezvousS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.atomic_operations%s
   --  system.img_char%s
   --  system.img_char%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.spark%s
   --  system.spark.cut_operations%s
   --  system.spark.cut_operations%b
   --  system.storage_elements%s
   --  system.return_stack%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.img_int%s
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.strings%s
   --  ada.strings.utf_encoding.strings%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  gnat%s
   --  gnat.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.arith_64%s
   --  system.arith_64%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.atomic_operations.test_and_set%s
   --  system.atomic_operations.test_and_set%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_fixed_64%s
   --  system.val_llu%s
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.communication%s
   --  system.communication%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%s
   --  ada.streams.stream_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  system.val_uns%s
   --  system.val_int%s
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%s
   --  ada.characters.handling%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  system.file_attributes%s
   --  system.img_lli%s
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking%b
   --  system.img_llu%s
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.hierarchical_file_names%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  ada.directories.hierarchical_file_names%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  gnat.command_line%b
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  ada.task_identification%s
   --  ada.task_identification%b
   --  system.tasking.entry_calls%s
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.entry_calls%b
   --  system.tasking.rendezvous%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  templatespp%b
   --  END ELABORATION ORDER

end ada_main;
